Package org.eclipse.compare.internal

# Class ChangePropertyAction

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.compare.internal.ChangePropertyAction

All Implemented Interfaces:
  `EventListener`, `IAction`, `IPropertyChangeListener`, `DisposeListener`

public class ChangePropertyAction extends Action implements IPropertyChangeListener, DisposeListener
Toggles a boolean property of an `CompareConfiguration`.

## Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`ChangePropertyAction(ResourceBundle bundle, CompareConfiguration cc, String rkey, String pkey)`

## Method Summary

Modifier and Type
Method
Description
`static ChangePropertyAction`
`createIgnoreWhiteSpaceAction(ResourceBundle bundle, CompareConfiguration compareConfiguration)`
`static ChangePropertyAction`
`createShowPseudoConflictsAction(ResourceBundle bundle, CompareConfiguration compareConfiguration)`
`void`
`dispose()`
`void`
`propertyChange(PropertyChangeEvent event)`
Notification that a property has changed.
`void`
`run()`
The default implementation of this `IAction` method does nothing.
`void`
`setChecked(boolean state)`
Sets the checked status of this action.
`void`
`setCompareConfiguration(CompareConfiguration cc)`
`void`
`widgetDisposed(DisposeEvent e)`
Sent when the widget is disposed.

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChangePropertyAction

public ChangePropertyAction(ResourceBundle bundle, CompareConfiguration cc, String rkey, String pkey)

## Method Details

### createIgnoreWhiteSpaceAction

public static ChangePropertyAction createIgnoreWhiteSpaceAction(ResourceBundle bundle, CompareConfiguration compareConfiguration)

### createShowPseudoConflictsAction

public static ChangePropertyAction createShowPseudoConflictsAction(ResourceBundle bundle, CompareConfiguration compareConfiguration)

### run

public void run()
Description copied from class: `Action`
The default implementation of this `IAction` method does nothing. Subclasses should override this method if they do not need information from the triggering event, or override `runWithEvent(Event)` if they do.

Specified by:
  `run` in interface `IAction`
Overrides:
  `run` in class `Action`
See Also:
  - `How radio buttons are handled`
  - `How check boxes are handled`

### setChecked

public void setChecked(boolean state)
Description copied from interface: `IAction`
Sets the checked status of this action. Applicable for the styles `AS_CHECK_BOX` or `AS_RADIO_BUTTON`.

Fires a property change event for the `CHECKED` property if the checked status actually changes as a consequence.

Specified by:
  `setChecked` in interface `IAction`
Overrides:
  `setChecked` in class `Action`
Parameters:
  `state` - the new checked status
See Also:
  - `IAction.CHECKED`

### setCompareConfiguration

public void setCompareConfiguration(CompareConfiguration cc)

### propertyChange

public void propertyChange(PropertyChangeEvent event)
Description copied from interface: `IPropertyChangeListener`
Notification that a property has changed.

This method gets called when the observed object fires a property change event.

Specified by:
  `propertyChange` in interface `IPropertyChangeListener`
Parameters:
  `event` - the property change event object describing which property changed and how

### dispose

public void dispose()

### widgetDisposed

public void widgetDisposed(DisposeEvent e)
Description copied from interface: `DisposeListener`
Sent when the widget is disposed.

Specified by:
  `widgetDisposed` in interface `DisposeListener`
Parameters:
  `e` - an event containing information about the dispose